GZDoom 2.0.05 and 1.8.10 released

News about GZDoom.

Moderator: Graf Zahl

mdmenzel
Posts: 5
Joined: Fri Jan 09, 2015 3:06

Re: GZDoom 2.0.05 and 1.8.10 released

Post by mdmenzel » Fri Jan 09, 2015 10:03

Not exclusively; this affects only one of the machines I play on. My old laptop is a Win7 Netbook with integrated graphics and I was updating the software on it in advance of a road trip when I discovered this. Than you for the prompt reply.

doomexpert
gzdoom
Posts: 103
Joined: Tue May 04, 2010 7:57

Re: GZDoom 2.0.05 and 1.8.10 released

Post by doomexpert » Wed Jan 14, 2015 22:17

what is the difference between 1.8.10 version and the 2.0.05? why not one latest version?

User avatar
Graf Zahl
GZDoom Developer
GZDoom Developer
Posts: 7143
Joined: Wed Jul 20, 2005 9:48
Location: Germany
Contact:

Re: GZDoom 2.0.05 and 1.8.10 released

Post by Graf Zahl » Wed Jan 14, 2015 22:29

GZDoom 2.x is for OpenGL 3.x
GZDoom 1.8 for OpenGL 2.x

Originally it was planned to let 1.8.7 be the last 1.8 version but due to some critical bugs it had to be updated twice.

Fincer
Posts: 12
Joined: Mon Feb 02, 2015 14:11

Re: GZDoom 2.0.05 and 1.8.10 released

Post by Fincer » Mon Feb 02, 2015 17:46

Please, can you release source codes for 2.0.0.5 and 1.8.10 version on Github, too? I'd like to compile and run the latest GZDoom version on Linux. Additionally, this would ensure that there wouldn't be version conflicts between Linux and Windows releases of GZDoom just because of different versions used between the two. My friend uses Windows and I use Linux.

User avatar
Devianteist
Different in the right ways.
Posts: 6
Joined: Thu Mar 05, 2015 14:00
Location: The Interwebs

Re: GZDoom 2.0.05 and 1.8.10 released

Post by Devianteist » Thu Mar 05, 2015 14:27

What, might I ask, does 1.8.10 have over G1.9pre-828-g60ff6c5?

I ask this because I have been running into several errors while trying to load mods with G1.9pre-828-g60ff6c5, while those same errors seem to be missing with 1.8.10.
It was never easy.

User avatar
Blue Shadow
Global Moderator
Global Moderator
Posts: 301
Joined: Sun Aug 29, 2010 6:09

Re: GZDoom 2.0.05 and 1.8.10 released

Post by Blue Shadow » Thu Mar 05, 2015 15:02

Yes, 1.8.10 is newer than any 1.9pre build.

User avatar
Devianteist
Different in the right ways.
Posts: 6
Joined: Thu Mar 05, 2015 14:00
Location: The Interwebs

Re: GZDoom 2.0.05 and 1.8.10 released

Post by Devianteist » Thu Mar 05, 2015 16:36

Eh, my question was seeking a more specific answer than "it's newer," but I guess it's good enough.
It was never easy.

User avatar
Kappes Buur
Persecution Complex
Posts: 175
Joined: Tue Apr 05, 2011 4:30
Location: British Columbia

Re: GZDoom 2.0.05 and 1.8.10 released

Post by Kappes Buur » Thu Mar 05, 2015 18:50

Devianteist wrote:Eh, my question was seeking a more specific answer than "it's newer," but I guess it's good enough.
1.8.10 is the version for graphic adapters which cannot support OpenGL 3.x

1.9 was just a precursory test build, where Graf Zahl was still getting all the ducks lined up, for 2.0, and as such 1.9 can be skipped.

2.1, which supersedes 2.0, is the version which needs support for OpenGL 3.x and above.

User avatar
Blue Shadow
Global Moderator
Global Moderator
Posts: 301
Joined: Sun Aug 29, 2010 6:09

Re: GZDoom 2.0.05 and 1.8.10 released

Post by Blue Shadow » Fri Mar 06, 2015 2:35

Devianteist wrote:Eh, my question was seeking a more specific answer than "it's newer," but I guess it's good enough.
See the changelog here. G1.9pre-828-g60ff6c5 is based on the oldest commit made in the 15th of September. All of the commits which became after it are part of 1.8.10.

User avatar
Devianteist
Different in the right ways.
Posts: 6
Joined: Thu Mar 05, 2015 14:00
Location: The Interwebs

Re: GZDoom 2.0.05 and 1.8.10 released

Post by Devianteist » Fri Mar 06, 2015 3:08

You people, here and on the ZDoom forums, are probably the most helpful and informative people I've ever met.
It was never easy.

deuxsonic
Posts: 1
Joined: Mon Mar 16, 2015 1:23

Re: GZDoom 2.0.05 and 1.8.10 released

Post by deuxsonic » Mon Mar 16, 2015 1:35

I've been using GZDoom 1.7 for quite a while now and my configuration file is full of all kinds of things for mods and whatnot, having had settings customized a lot over the time I've used GZDoom. Will I be able to continue using the existing configuration file with the 2.0 releases or does it work differently and the old settings will no longer apply? I'm sure my current computer can handle the OpenGL 3.x stuff, but I'm curious if it makes all kinds of changes to the INI where older settings don't work properly.

User avatar
Graf Zahl
GZDoom Developer
GZDoom Developer
Posts: 7143
Joined: Wed Jul 20, 2005 9:48
Location: Germany
Contact:

Re: GZDoom 2.0.05 and 1.8.10 released

Post by Graf Zahl » Mon Mar 16, 2015 9:01

The config file has not been changed, except, of course, some renderer related CVARs that got removed because they no longer apply with the updated code.

mdmenzel
Posts: 5
Joined: Fri Jan 09, 2015 3:06

Re: GZDoom 2.0.05 and 1.8.10 released

Post by mdmenzel » Fri Apr 10, 2015 21:01

Which development version of ZDoom has this version of GZDoom integrated?

alkaman
Posts: 1
Joined: Sat May 23, 2015 18:31

Re: GZDoom 2.0.05 and 1.8.10 released

Post by alkaman » Sat May 23, 2015 18:40

I downloaded both versions but neither one works with doom 1, doom demo or doom 2. help anyone please!

User avatar
Rowsol
Posts: 13
Joined: Mon Sep 29, 2014 15:21

Re: GZDoom 2.0.05 and 1.8.10 released

Post by Rowsol » Sun May 24, 2015 19:55

try the lastest version here. http://devbuilds.drdteam.org/gzdoom/

also, saying it doesn't work isn't enough information.

Locked

Return to “News”

Who is online

Users browsing this forum: No registered users and 1 guest